www.mxdraw.com
|
由一个自定义实体事件中的id得到自定义实体对象。该函数只能在自定义实体事件中调用。
static MxDrawCustomEntity* Mx_GetCustomEntity(LONGLONG lPtr);
参数 |
说明 |
LONGLONG lPtr |
事件中自定义实体id. |
返回自定义实体
例如: VB
If sEventName = "MxDrawXCustomEntity::explode" Then Dim param66 As MxDrawResbuf Set param66 = MxDrawX1.CustomEventParam() Dim lBlockRecId As Long lBlockRecId = param66.AtLong(1) Dim customEntity As MxDrawCustomEntity Set customEntity = MxDrawX1.CallEx("Mx_GetCustomEntity", param66) If customEntity.IsHave("startpoint") Then Else Exit Sub End If If customEntity.IsHave("endpoint") Then Else Exit Sub End If Set database = MxDrawX1.GetDatabase Dim blkRec As MxDrawBlockTableRecord Set blkRec = database.ObjectIdToObject(lBlockRecId) Dim sPt As MxDrawPoint Dim ePt As MxDrawPoint Set sPt = customEntity.GetPoint("startpoint") Set ePt = customEntity.GetPoint("endpoint") blkRec.AddLine sPt, ePt End If